<?php

namespace App\Models;

class BusinessSetting extends BaseModel
{
    protected $fillable = [
        'key',
        'value',
        'type',
    ];

    protected static function booted()
    {
        static::saved(function () {
            \Illuminate\Support\Facades\Cache::forget('business_settings_all');
        });

        static::deleted(function () {
            \Illuminate\Support\Facades\Cache::forget('business_settings_all');
        });
    }
}
